/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.syncope.client.console.panels;

import org.apache.syncope.client.console.wicket.markup.html.bootstrap.dialog.BaseModal;
import org.apache.syncope.common.lib.to.UserTO;
import org.apache.wicket.PageReference;
import org.apache.wicket.model.IModel;

public class LinkedAccountsStatusModalPanel extends MultilevelPanel.SecondLevel {

    private static final long serialVersionUID = 8804361394735366181L;

    public LinkedAccountsStatusModalPanel(
            final BaseModal<?> baseModal,
            final IModel<UserTO> model,
            final PageReference pageRef) {

        super(MultilevelPanel.SECOND_LEVEL_ID);

        add(new LinkedAccountModalPanel(baseModal, model, pageRef, true).setOutputMarkupId(true));
    }

}
