/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.syncope.client.console.tasks;

import org.apache.syncope.client.console.panels.MultilevelPanel;

/**
 * Notification e-mail body (for a given {@link org.apache.syncope.common.lib.to.NotificationTaskTO}.
 */
public class NotificationMailBodyDetails extends MultilevelPanel.SecondLevel {

    private static final long serialVersionUID = -4110576026663173545L;

    public NotificationMailBodyDetails(final String body) {
        super();

        MultilevelPanel mlp = new MultilevelPanel("body");
        mlp.setFirstLevel(new NotificationMailBody(MultilevelPanel.FIRST_LEVEL_ID, body));
        add(mlp);
    }
}
