/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.syncope.core.persistence.api.entity.task;

import java.util.Date;
import org.apache.syncope.core.persistence.api.entity.Implementation;

public interface SchedTask extends Task {

    void setName(String name);

    String getName();

    void setDescription(String description);

    String getDescription();

    void setJobDelegate(Implementation jobDelegate);

    Implementation getJobDelegate();

    Date getStartAt();

    void setStartAt(Date startAt);

    void setCronExpression(String cronExpression);

    String getCronExpression();

    boolean isActive();

    void setActive(boolean active);
}
